- block:

  - name: Remove persistent net rules and generator
    file:
      path: "{{ item }}"
      state: absent
    with_items:
      - /lib/udev/rules.d/75-persistent-net-generator.rules
      - /etc/udev/rules.d/70-persistent-net.rules

  - name: Install udev rules for ethernet
    copy:
      src: "73-zoox-ethernet-{{ zoox_compute_version }}.rules"
      dest: "/etc/udev/rules.d/73-zoox-ethernet.rules"
      owner: root
      group: root
      mode: '644'

  - name: Configure network interfaces
    template:
      src: "interfaces-{{ zoox_compute_version }}.j2"
      dest: "/etc/network/interfaces"
      owner: root
      group: root
      mode: '644'

  - include: compute_3_5_vision_network.yml
    when: zoox_compute_version is version('3.5', '>=')

  become: yes
